Vidu Edit Subjects
vidu-edit-subjects
Vidu Edit Subjects updates an existing subject’s name, style, description, or voice configuration.
Эндпоинты
Заголовок раздела «Эндпоинты»POST /v1/queue/vidu-edit-subjects # Создать задачуGET /v1/queue/vidu-edit-subjects/requests/{request_id}/status # Проверить статусGET /v1/queue/vidu-edit-subjects/requests/{request_id}/response # Получить результатPUT /v1/queue/vidu-edit-subjects/requests/{request_id}/cancel # Отменить задачуПараметры запроса
Заголовок раздела «Параметры запроса»curl --location 'https://odirouter.ai/model/v1/queue/vidu-edit-subjects' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --data '{ "id": "123456789012345678", "name": "create1", "style": "realistic", "description": "Subject description", "voice_id": "voice_abc"}'id string required
Заголовок раздела «id string required»Subject ID generated by Vidu.
name string
Заголовок раздела «name string»New subject name.
Maximum length: 64 characters.
style string
Заголовок раздела «style string»New subject style description.
Maximum length: 100 characters.
description string
Заголовок раздела «description string»New detailed description of the subject.
Maximum length: 2000 characters.
voice_id string
Заголовок раздела «voice_id string»New voice ID for the subject.
Параметры ответа
Заголовок раздела «Параметры ответа»{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/vidu-edit-subjects/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/vidu-edit-subjects/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/vidu-edit-subjects/requests/task_01hxyz.../cancel", "queue_position": 0}| Поле | Тип | Описание |
|---|---|---|
request_id | string | Идентификатор задачи для последующей проверки статуса, получения результата и отмены. |
response_url | string | URL для получения итогового результата. |
status_url | string | URL для проверки статуса задачи. |
cancel_url | string | URL для отмены задачи. |
queue_position | int | Текущая позиция в очереди. |
The final response content contains a JSON string with the edited subject fields: id, name, style, description, and voice_id.